AbstractAnnotationValueVisitor9 (Java SE 11 & JDK 11 )
Keywords: javax.lang.model.util.AbstractAnnotationValueVisitor9 class

Module java.compiler
Package javax.lang.model.util

## Class AbstractAnnotationValueVisitor9<R,​P>

- java.lang.Object
- - javax.lang.model.util.AbstractAnnotationValueVisitor6<R,​P>
  - - javax.lang.model.util.AbstractAnnotationValueVisitor7<R,​P>
    - - javax.lang.model.util.AbstractAnnotationValueVisitor8<R,​P>
      - - javax.lang.model.util.AbstractAnnotationValueVisitor9<R,​P>

- Type Parameters:
    `R` - the return type of this visitor's methods
    `P` - the type of the additional parameter to this visitor's methods.
  All Implemented Interfaces:
    `AnnotationValueVisitor<R,​P>`

      @SupportedSourceVersion(RELEASE_11)
      public abstract class AbstractAnnotationValueVisitor9<R,​P>
      extends AbstractAnnotationValueVisitor8<R,​P>

  A skeletal visitor for annotation values with default behavior appropriate for source versions `RELEASE_9` through `RELEASE_11`.

  WARNING: The `AnnotationValueVisitor` interface implemented by this class may have methods added to it in the future to accommodate new, currently unknown, language structures added to future versions of the Java™ programming language. Therefore, methods whose names begin with `"visit"` may be added to this class in the future; to avoid incompatibilities, classes which extend this class should not declare any instance methods with names beginning with `"visit"`.

  When such a new visit method is added, the default implementation in this class will be to call the `visitUnknown` method. A new abstract annotation value visitor class will also be introduced to correspond to the new language level; this visitor will have different default behavior for the visit method in question. When the new visitor is introduced, all or portions of this visitor may be deprecated.

  Since:
    9
  See Also:
    `AbstractAnnotationValueVisitor6`, `AbstractAnnotationValueVisitor7`, `AbstractAnnotationValueVisitor8`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractAnnotationValueVisitor9()` | Constructor for concrete subclasses to call.

  - ### Method Summary

    - ### Methods declared in class javax.lang.model.util.AbstractAnnotationValueVisitor6

      `visit, visit, visitUnknown`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.lang.model.element.AnnotationValueVisitor

      `visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`

- - ### Constructor Detail

    - #### AbstractAnnotationValueVisitor9

          protected AbstractAnnotationValueVisitor9()

      Constructor for concrete subclasses to call.